require 'spec_helper'

describe String do

  describe '#word_count' do
    it 'should have a method called word_count' do
      expect(String.new).to respond_to :word_count
    end

    it 'should return 1 when the string is 1 word long' do
      a = 'apple'
      expect(a.word_count).to eq 1
    end

    it 'should return 2 when the string is 1 word long' do
      a = 'apple banana'
      expect(a.word_count).to eq 2
    end

    it 'should return 3 when the string is 1 word long' do
      a = 'apple banana orange'
      expect(a.word_count).to eq 3
    end
  end

  describe '#unique_words' do
    it 'should have a method called unique_words' do
      expect(String.new).to respond_to :unique_words
    end

    it 'should return an array of unique words from a string' do
      string = %{ hello my darling hello my sweetheart }
      expect(string.unique_words).to eq %w{ hello my darling sweetheart }
    end
  end

end
